This project is archived and is in readonly mode.

#127 ✓resolved
3n

moving from 1.2b2 to 1.2 breaks iPhone compatibility

Reported by 3n | June 14th, 2008 @ 12:07 AM | in 1.2.1

I swapped out my mootools 1.2b2 for 1.2 for an iPhone webapp I'm working on. After about 5 hours of debugging I've had to go back to 1.2b2. Lots of "parse error" messages on the iPhone's console with incorrect line number reported.

For example, if you put "new Request.JSON()" anywhere you will get a parse/syntax error.

This is obviously very specific to the iPhone and not a high priority (not many need mootools for iPhone-specific sites), but I thought you guys would still like to know.

Note: this is on an actual iPhone, everything works on the iPhone emulator.

Comments and changes to this ticket

  • Jan Kassens

    Jan Kassens July 17th, 2008 @ 11:59 PM

    • Milestone changed from 2.0 to 1.2.1
    • State changed from “new” to “resolved”
    • Tag set to 1.2release, defect, iphone

    fixed, thank you!

Create your profile

Help contribute to this project by taking a few moments to create your personal profile. Create your profile »

Shared Ticket Bins

People watching this ticket

Tags

Pages